
<div class="flex flex-col space-y-8">
  <% if notice.present? %>
    <p class="py-2 px-3 bg-green-50 mb-5 text-green-500 font-medium rounded-lg inline-block" id="notice"><%= notice %></p>
  <% end %>

    <!-- First Row -->
    <div class="grid grid-cols-1 md:grid-cols-4 xl:grid-cols-5 px-4 xl:p-0 gap-y-4 md:gap-6">
        <div
            class="col-span-12 p-6 rounded-2xl bg-gradient-to-r from-blue-500 to-blue-800 flex flex-col justify-between">
            <div class="flex flex-col">
                <p class="text-white font-bold">Lorem ipsum dolor sit amet</p>
                <p class="mt-1 text-xs md:text-sm text-gray-50 font-light leading-tight max-w-sm">
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Odio soluta saepe consequuntur
                    facilis ab a. Molestiae ad saepe assumenda praesentium rem dolore? Exercitationem, neque
                    obcaecati?
                </p>
            </div>
            <div class="flex justify-between items-end">
                <a href="#"
                    class="bg-blue-800 px-4 py-3 rounded-lg text-white text-xs tracking-wider font-semibold hover:bg-blue-600 hover:text-white">
                    Learn More
                </a>
                <img src="assets/calendar.png" alt="calendar" class="w-auto h-24 object-cover">
            </div>
        </div>

    </div>
    <!-- End First Row -->
    <!-- Start Third Row -->
    <div class="grid grid-cols-1 md:grid-cols-5 items-start px-4 xl:p-0 gap-y-4 md:gap-6">
        <div class="col-start-1 col-end-5">
            <h2 class="text-xs md:text-sm text-gray-800 font-bold tracking-wide">Generate</h2>
        </div>
        <div class="col-span-2 bg-white p-6 rounded-xl border border-gray-50 flex flex-col space-y-6">
            <div class="col-span-1 md:col-span-2 lg:col-span-4 flex justify-between">
                <h2 class="text-xs md:text-sm text-gray-700 font-bold tracking-wide md:tracking-wider">
                    Chart Presets</h2>
            </div>
            <% @chart_presets.each do |chart_preset| %>
            <div class="bg-white p-6 rounded-xl border border-gray-50">
                <div class="flex justify-between items-start">
                    <div class="flex flex-col">
                        <p class="text-xs text-gray-600 tracking-wide"><%= chart_preset.title %></p>
                        <span class="mt-4 text-xs text-gray-500"><%= chart_preset.description_content %></span>
                    </div>
                    <div class="bg-blue-500 p-2 md:p-1 xl:p-2 rounded-md">
                    <%= link_to chart_preset_path(chart_preset) do %>
                        <%= image_tag "dish-2.png", class: "w-auto h-8 md:h-6 xl:h-8 object-cover" %>
                    <% end %>
                    </div>
                </div>
            </div>
            <% end %>
        </div>
        <div class="col-span-3 bg-white p-6 rounded-xl border border-gray-50 flex flex-col space-y-6">
            <div class="flex justify-between items-center">
                <h2 class="text-sm text-gray-600 font-bold tracking-wide">Latest Dashboards</h2>
            </div>
            <ul class="divide-y-2 divide-gray-100 overflow-x-auto w-full">
                <% @chart_results.each do |chart_result| %>
                    <li class="py-3 flex justify-between text-sm text-gray-500 font-semibold">
                        <p class="px-4 text-gray-600"> <%= chart_result.created_at.strftime("%e %b %Y %H:%M:%S%p") %></p>
                        <p class="px-4 tracking-wider"> <%= truncate(chart_result.chart_preset.title , :length => 60) %></p>
                        <p class="px-4 text-blue-600"> <%= link_to "View Dashboard", chart_result.response_link, target: "_blank" %></p>
                    </li>
                <% end %>
            </ul>
        </div>
    </div>
    <!-- End Third Row -->
</div>
